ulink.show
Prev | Miscellaneous | Next

## ulink.show

ulink.show — Display URLs after `ulink`s?

## Synopsis

          <xsl:param name="ulink.show" select="0"/>

## Description

If non-zero, the URL of each `ulink` will appear after the text of the link. If the text of the link and the URL are identical, the URL is suppressed.

See also `ulink.footnotes`.

The global `ulink.show` and `ulink.footnotes` setting can be overriden for each `ulink` that uses an `xrefstyle` like the following examples:

    <!-- show 'Hot Text [URL]' or 'Hot Text (foot)' even if $ulink.show=0 -->
    <ulink xrefstyle="url.show" url="http://www.a.site.org/path">Hot Text</ulink>

    <!-- show 'Hot Text' even if $ulink.show=1 -->
    <ulink xrefstyle="url.hide" url="http://us3.a.site.org/path">Hot Text</ulink>

    <!-- show 'Hot Text [URL]' even if $ulink.show=0 and $ulink.footnotes=1 -->
    <ulink xrefstyle="url.show.after" url="http://www.a.site.org/path">Hot Text</ulink>

    <!-- show 'Hot Text (foot)' even if $ulink.show=0 and $ulink.footnotes=0 -->
    <ulink xrefstyle="url.show.infoot" url="http://www.a.site.org/path">Hot Text</ulink>

    <!-- show 'Hot Text (foot)' if $ulink.show=1 and even if $ulink.footnotes=0 -->
    <ulink xrefstyle="url.infoot" url="http://www.a.site.org/path">Hot Text</ulink>

    <!-- show 'Hot Text [URL]' if $ulink.show=1 and even if $ulink.footnotes=1 -->
    <ulink xrefstyle="url.after" url="http://www.a.site.org/path">Hot Text</ulink>

Prev | Up | Next
ulink.footnotes | Home | xref.with.number.and.title